version: "3.8"

services:
  app:
    image: registry.gitlab.com/project4440318/java/lava-opentelemetry-monitoring
    container_name: app
    expose:
      - 8080
    networks:
      - app-network
    depends_on:
      - mysql

  #MySQL Service
  mysql:
    container_name: mysql
    image: mysql:8.0
    ports:
      - "3306:3306"
    environment:
      - MYSQL_ROOT_PASSWORD=
      - MYSQL_ALLOW_EMPTY_PASSWORD=true
      - MYSQL_USER=petclinic
      - MYSQL_PASSWORD=petclinic
      - MYSQL_DATABASE=petclinic
    volumes:
      - "./conf.d:/etc/mysql/conf.d:ro"
    networks:
      - app-network

  #Nginx Service
  nginx:
    build:
      context: .
      dockerfile: ./volumes/build/nginx/Dockerfile
    container_name: nginx
    ports:
      - 80:80
    volumes:
      - ./volumes/log/nginx:/var/log/nginx
    depends_on:
      - app
    networks:
      - app-network

#Docker Networks
networks:
  app-network:
    driver: bridge
